# FdoSchemaElement Class Reference

`#include <SchemaElement.h>`

Inheritance diagram for FdoSchemaElement:

[legend]

List of all members.

## Detailed Description

FdoSchemaElement is an abstract class that acts as a base class for all classes in the Schema package.

Definition at line 40 of file SchemaElement.h.

## Public Member Functions
virtual FDO_API FdoBoolean | CanSetName ()
| Indicates that this object allows its name to change. This function is defined so that this class can be a FdoNamedCollection element.
FDO_API void | Delete ()
| Marks the schema element for deletion by setting the element state to FdoSchemaElementState_Deleted. If the schema elements current state is FdoSchemaElementState_Added then the element is physically removed. If the current state is FdoSchemaElementState_Detached this method does nothing.
FDO_API FdoSchemaAttributeDictionary * | GetAttributes ()
| Gets an FdoSchemaAttributeDictionary that contains the attributes associated with this FdoSchemaElement.
virtual FDO_API FdoString * | GetDescription ()
| Gets the description of the schema object.
FDO_API FdoSchemaElementState | GetElementState ()
| Returns the current state of the schema element.
virtual FDO_API FdoFeatureSchema * | GetFeatureSchema ()
| Gets the FdoFeatureSchema this object is a part of. Returns null if this object has not been added to a feature schema.
virtual FDO_API FdoString * | GetName ()
| Gets the name of the schema object.
virtual FDO_API FdoSchemaElement * | GetParent ()
| Gets the parent of this FdoSchemaElement or null if this object has not been added to a parent object.
virtual FDO_API FdoStringP | GetQualifiedName ()
| Gets the fully qualified name of this schema element.
virtual FDO_API void | SetDescription (FdoString *value)
| Sets the description of the schema object.
virtual FDO_API void | SetName (FdoString *value)
| Sets the name of the schema object.
## Friends
class | FdoDataPropertyDefinitionCollection
class | FdoFeatureSchema
class | FdoNetworkFeatureClass
class | FdoNetworkLinkFeatureClass
class | FdoNetworkNodeFeatureClass
class | FdoPropertyDefinitionCollection
class | FdoSchemaAttributeDictionary
class | FdoSchemaCollection

The documentation for this class was generated from the following file:

- SchemaElement.h